summaryrefslogtreecommitdiff
path: root/dev-ruby/unicode-display_width
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-31 12:35:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-31 12:35:23 +0000
commit048b34c6687b9f2455eaa032d70f1d3bf9ff1ebf (patch)
treec65b0337aba3054a5ed470103f6e1307620c38a3 /dev-ruby/unicode-display_width
parent2774232ebf0ed46e26d8d3e56fa27df0236e0e1c (diff)
downloadbaldeagleos-repo-048b34c6687b9f2455eaa032d70f1d3bf9ff1ebf.tar.gz
baldeagleos-repo-048b34c6687b9f2455eaa032d70f1d3bf9ff1ebf.tar.xz
baldeagleos-repo-048b34c6687b9f2455eaa032d70f1d3bf9ff1ebf.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/unicode-display_width')
-rw-r--r--dev-ruby/unicode-display_width/Manifest1
-rw-r--r--dev-ruby/unicode-display_width/unicode-display_width-2.0.0.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/dev-ruby/unicode-display_width/Manifest b/dev-ruby/unicode-display_width/Manifest
index d92eee58c49c..32f7a75bab76 100644
--- a/dev-ruby/unicode-display_width/Manifest
+++ b/dev-ruby/unicode-display_width/Manifest
@@ -1 +1,2 @@
DIST unicode-display_width-1.7.0.tar.gz 10822 BLAKE2B c3db387b9d61ba4ea9d5559824b22e40f173f9e9bcf7fdad3dba1edc36b39ae90276818bd54e74a6731bd2cb8c48b28e440d07f7e3cedbd8dc13441f79a2b56c SHA512 2b6d2b0118f4a2ad69e98fe2fac611ca94adc0dc59ad076083d0243c630a81a01d650965149a25feaf8986c262a5d55294e064361420e2140b53c5ced5fb1c77
+DIST unicode-display_width-2.0.0.tar.gz 11947 BLAKE2B 4d145f2829922ac2c1681b9f058e218ee7120c1eeb6a440726d79ce8abd2f8bf5adf9f4112ff3de4dfa39f150c5c41bf2dd5458ba87585fca5558ef14355347f SHA512 60ffb44f1685fa8c68b0bc13216fbd77c389840e5c7354428df3daa8ef59d640052210b9e92a54f81ae02f2ac132a8e79a90bad04ae5257a8828a7810b53e227
diff --git a/dev-ruby/unicode-display_width/unicode-display_width-2.0.0.ebuild b/dev-ruby/unicode-display_width/unicode-display_width-2.0.0.ebuild
new file mode 100644
index 000000000000..bb32c9542642
--- /dev/null
+++ b/dev-ruby/unicode-display_width/unicode-display_width-2.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+RUBY_FAKEGEM_GEMSPEC="unicode-display_width.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Adds String#display_width to get the display size using EastAsianWidth.txt"
+HOMEPAGE="https://github.com/janlelis/unicode-display_width"
+SRC_URI="https://github.com/janlelis/unicode-display_width/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~arm64"
+SLOT="$(ver_cut 1)"
+IUSE=""
+
+all_ruby_prepare() {
+ # Avoid experimental emoji support for now
+ sed -e '/\[emoji\]/,/^ end/ s:^:#:' \
+ -e '/Config object based API/,/^end/ s:^:#:' \
+ -i spec/display_width_spec.rb || die
+}